Hi all,

I have seen this failure several times in the last week, typically the error
is gone after rebuilding.

It is not clear what is the test - the test name does not apear in the error,
this happens when adding a (useless) docstring to a test method.

Looking at the traceback, this seems to be a networking test.

Full log:
http://jenkins.ovirt.org/job/vdsm_master_check-patch-fc25-x86_64/218/consoleFull

14:55:03 ======================================================================
14:55:03 ERROR: Failure: OSError ([Errno 22] Invalid argument)
14:55:03 ----------------------------------------------------------------------
14:55:03 Traceback (most recent call last):
14:55:03   File
"/home/jenkins/workspace/vdsm_master_check-patch-fc25-x86_64/vdsm/lib/vdsm/utils.py",
line 477, in __call__
14:55:03     return self.cache[args]
14:55:03 KeyError: ()
14:55:03
14:55:03 During handling of the above exception, another exception occurred:
14:55:03
14:55:03 OSError: [Errno 22] Invalid argument
14:55:03
14:55:03 During handling of the above exception, another exception occurred:
14:55:03
14:55:03 Traceback (most recent call last):
14:55:03   File "/usr/lib/python3.5/site-packages/nose/failure.py",
line 39, in runTest
14:55:03     raise self.exc_val.with_traceback(self.tb)
14:55:03   File "/usr/lib/python3.5/site-packages/nose/loader.py",
line 418, in loadTestsFromName
14:55:03     addr.filename, addr.module)
14:55:03   File "/usr/lib/python3.5/site-packages/nose/importer.py",
line 47, in importFromPath
14:55:03     return self.importFromDir(dir_path, fqname)
14:55:03   File "/usr/lib/python3.5/site-packages/nose/importer.py",
line 94, in importFromDir
14:55:03     mod = load_module(part_fqname, fh, filename, desc)
14:55:03   File "/usr/lib64/python3.5/imp.py", line 234, in load_module
14:55:03     return load_source(name, filename, file)
14:55:03   File "/usr/lib64/python3.5/imp.py", line 172, in load_source
14:55:03     module = _load(spec)
14:55:03   File "<frozen importlib._bootstrap>", line 693, in _load
14:55:03   File "<frozen importlib._bootstrap>", line 673, in _load_unlocked
14:55:03   File "<frozen importlib._bootstrap_external>", line 665, in
exec_module
14:55:03   File "<frozen importlib._bootstrap>", line 222, in
_call_with_frames_removed
14:55:03   File
"/home/jenkins/workspace/vdsm_master_check-patch-fc25-x86_64/vdsm/tests/network/models_test.py",
line 41, in <module>
14:55:03     bonding_default_fpath())
14:55:03   File
"/home/jenkins/workspace/vdsm_master_check-patch-fc25-x86_64/vdsm/lib/vdsm/utils.py",
line 479, in __call__
14:55:03     value = self.func(*args)
14:55:03   File
"/home/jenkins/workspace/vdsm_master_check-patch-fc25-x86_64/vdsm/tests/network/nettestlib.py",
line 509, in bonding_default_fpath
14:55:03     dump_bonding_opts()
14:55:03   File
"/home/jenkins/workspace/vdsm_master_check-patch-fc25-x86_64/vdsm/lib/vdsm/tool/dump_bonding_opts.py",
line 55, in main
14:55:03     jdump(_get_bonding_options_name2numeric(), f)
14:55:03   File
"/home/jenkins/workspace/vdsm_master_check-patch-fc25-x86_64/vdsm/lib/vdsm/tool/dump_bonding_opts.py",
line 94, in _get_bonding_options_name2numeric
14:55:03     opts[mode] = bond_opts_name2numeric_filtered(bond_name)
14:55:03   File
"/home/jenkins/workspace/vdsm_master_check-patch-fc25-x86_64/vdsm/lib/vdsm/network/netinfo/bonding.py",
line 154, in bond_opts_name2numeric_filtered
14:55:03     in _bond_opts_name2numeric(bond).iteritems()
14:55:03   File
"/home/jenkins/workspace/vdsm_master_check-patch-fc25-x86_64/vdsm/lib/vdsm/network/netinfo/bonding.py",
line 189, in _bond_opts_name2numeric
14:55:03     _bond_opts_name2numeric_scan(path)
14:55:03   File
"/home/jenkins/workspace/vdsm_master_check-patch-fc25-x86_64/vdsm/lib/vdsm/network/netinfo/bonding.py",
line 202, in _bond_opts_name2numeric_scan
14:55:03     vals[name] = numeric
14:55:03 OSError: [Errno 22] Invalid argument
_______________________________________________
Devel mailing list
Devel@ovirt.org
http://lists.ovirt.org/mailman/listinfo/devel

Reply via email to